{"items":[{"type":"link","label":"Wisedocs API","link":"/api/openapi","routeSlug":"/api/openapi","content":{"contentType":"overview","meta":{"name":"Wisedocs API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"openapi.json","url":"/_bundle/api/@v1/openapi.json?download"},{"kind":"download","label":"openapi.yaml","url":"/_bundle/api/@v1/openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"License","titleTranslationKey":"info.license","label":"Proprietary","url":"https://wisedocs.ai"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Wisedocs API (1.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"REST API for integrating Wisedocs capabilities into diverse workflows and\nuse cases across claims, insurance, legal, and healthcare operations."}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"Authentication","link":"/api/openapi/authentication","routeSlug":"/api/openapi/authentication","items":[{"label":"Get OAuth authorization server metadata","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/authentication/getauthorizationservermetadata","routeSlug":"/api/openapi/authentication/getauthorizationservermetadata","metadata":{"seo":{"title":"Get OAuth authorization server metadata","description":"Returns the public OAuth endpoints and supported confidential-client authentication methods."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getAuthorizationServerMetadata","name":"Get OAuth authorization server metadata","isWebhook":false,"pointer":"/paths/~1.well-known~1oauth-authorization-server/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get OAuth authorization server metadata","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns the public OAuth endpoints and supported confidential-client authentication methods."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/.well-known/oauth-authorization-server","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[],"responseCodes":["200","429"],"pointer":"/.well-known/oauth-authorization-server","href":"authentication/getauthorizationservermetadata","openApiOperationId":"getAuthorizationServerMetadata","summary":"Get OAuth authorization server metadata"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Authorization server metadata.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/AuthorizationServerMetadata"}},"schemaId":"components/schemas/AuthorizationServerMetadata"},{"code":"429","description":"Request rate limit exceeded.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1.well-known~1oauth-authorization-server/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/AuthorizationServerMetadata","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/AuthorizationServerMetadata"}}},{"code":"429","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authentication/getauthorizationservermetadata"}],"panels":[]}]},"httpPath":"/.well-known/oauth-authorization-server"},{"label":"Create an access token","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/authentication/createaccesstoken","routeSlug":"/api/openapi/authentication/createaccesstoken","metadata":{"seo":{"title":"Create an access token","description":"Exchanges client credentials for an access token using the OAuth 2.0client credentials grant."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createAccessToken","name":"Create an access token","isWebhook":false,"pointer":"/paths/~1oauth~1token/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create an access token","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Exchanges client credentials for an access token using the OAuth 2.0"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"client credentials grant."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Authenticate with HTTP Basic using "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the username and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the password, and send "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"grant_type=client_credentials"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"as a form-encoded body."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Tokens cannot be refreshed; request a new one when "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"expires_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" elapses."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"clientSecretBasic","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"HTTP Basic authentication with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the username and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the password."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/x-www-form-urlencoded"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenRequest","exampleIds":["paths/~1oauth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"]}},"schemaId":"components/schemas/TokenRequest","exampleIds":["paths/~1oauth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"],"pointer":"/paths/~1oauth~1token/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/oauth/token","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"clientSecretBasic","type":"http","scheme":"basic"}],"scopes":[]}],"requestBody":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenRequest","exampleIds":["paths/~1oauth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"]}},"responseCodes":["200","400","401","404"],"pointer":"/oauth/token","href":"authentication/createaccesstoken","openApiOperationId":"createAccessToken","summary":"Create an access token"},"definitionSamples":[{"lang":"curl","source":"curl -i -X POST https://dev-api.wisedocs.ai/oauth/token \\\n  -u '<client_id>:<client_secret>' \\\n  -d grant_type=client_credentials\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"schemaId":"components/schemas/TokenRequest","exampleIds":["paths/~1oauth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"],"mediaTypes":["application/x-www-form-urlencoded"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenRequest","exampleIds":["paths/~1oauth~1token/post/requestBody/content/application~1x-www-form-urlencoded/example"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Access token issued.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TokenResponse"}},"schemaId":"components/schemas/TokenResponse","headers":{"Cache-Control":{"schema":{"type":"string","example":"no-store"}},"Pragma":{"schema":{"type":"string","example":"no-cache"}}},"headerSchemaId":"schema_0"},{"code":"400","description":"Invalid request or unsupported grant type.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}},"schemaId":"components/schemas/OAuthError"},{"code":"401","description":"Client authentication failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}},"schemaId":"components/schemas/OAuthError"},{"code":"404","description":"Client authentication failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}},"schemaId":"components/schemas/OAuthError"}],"pointer":"/paths/~1oauth~1token/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/TokenResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TokenResponse"}}},{"code":"400","schemaId":"components/schemas/OAuthError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}}},{"code":"401","schemaId":"components/schemas/OAuthError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}}},{"code":"404","schemaId":"components/schemas/OAuthError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authentication/createaccesstoken"}],"panels":[]}]},"httpPath":"/oauth/token"},{"label":"Introspect an access token","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/authentication/introspectaccesstoken","routeSlug":"/api/openapi/authentication/introspectaccesstoken","metadata":{"seo":{"title":"Introspect an access token","description":"Returns metadata for an active access token issued to the authenticatedclient. Inactive, expired, or revoked tokens return {\"active\": false}."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"introspectAccessToken","name":"Introspect an access token","isWebhook":false,"pointer":"/paths/~1oauth~1introspect/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Introspect an access token","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Returns metadata for an active access token issued to the authenticated"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"client. Inactive, expired, or revoked tokens return "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"{\"active\": false}"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"clientSecretBasic","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"HTTP Basic authentication with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the username and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the password."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/x-www-form-urlencoded","application/json"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenManagementRequest"},"application/json":{"schemaId":"components/schemas/TokenManagementRequest"}},"schemaId":"components/schemas/TokenManagementRequest","pointer":"/paths/~1oauth~1introspect/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/oauth/introspect","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"clientSecretBasic","type":"http","scheme":"basic"}],"scopes":[]}],"requestBody":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenManagementRequest"},"application/json":{"schemaId":"components/schemas/TokenManagementRequest"}},"responseCodes":["200","400","401","503"],"pointer":"/oauth/introspect","href":"authentication/introspectaccesstoken","openApiOperationId":"introspectAccessToken","summary":"Introspect an access token"},"definitionSamples":[{"lang":"curl","source":"curl -i -X POST https://dev-api.wisedocs.ai/oauth/introspect \\\n  -u '<client_id>:<client_secret>' \\\n  -d token='<access_token>'\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"schemaId":"components/schemas/TokenManagementRequest","mediaTypes":["application/x-www-form-urlencoded","application/json"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenManagementRequest"},"application/json":{"schemaId":"components/schemas/TokenManagementRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Token activity and metadata.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/IntrospectionResponse"}},"schemaId":"components/schemas/IntrospectionResponse","headers":{"Cache-Control":{"schema":{"type":"string","example":"no-store"}},"Pragma":{"schema":{"type":"string","example":"no-cache"}}},"headerSchemaId":"schema_0"},{"code":"400","description":"The token field is missing.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}},"schemaId":"components/schemas/OAuthClientError"},{"code":"401","description":"Confidential-client authentication failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}},"schemaId":"components/schemas/OAuthClientError","headers":{"WWW-Authenticate":{"description":"HTTP Basic authentication challenge for an OAuth client.","schema":{"type":"string","example":"Basic realm=\"oauth-client\""}}},"headerSchemaId":"schema_1"},{"code":"503","description":"Token status cannot be checked or revocation cannot be confirmed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}},"schemaId":"components/schemas/OAuthClientError"}],"pointer":"/paths/~1oauth~1introspect/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/IntrospectionResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/IntrospectionResponse"}}},{"code":"400","schemaId":"components/schemas/OAuthClientError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}}},{"code":"401","schemaId":"components/schemas/OAuthClientError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}}},{"code":"503","schemaId":"components/schemas/OAuthClientError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authentication/introspectaccesstoken"}],"panels":[]}]},"httpPath":"/oauth/introspect"},{"label":"Revoke an access token","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/authentication/revokeaccesstoken","routeSlug":"/api/openapi/authentication/revokeaccesstoken","metadata":{"seo":{"title":"Revoke an access token","description":"Revokes an access token issued to the authenticated client. The operationis idempotent and returns 200 even if the token is already expired orrevoked."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"revokeAccessToken","name":"Revoke an access token","isWebhook":false,"pointer":"/paths/~1oauth~1revoke/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Revoke an access token","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Revokes an access token issued to the authenticated client. The operation"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"is idempotent and returns "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"200"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" even if the token is already expired or"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"revoked."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"clientSecretBasic","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"HTTP Basic authentication with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the username and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as the password."},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/x-www-form-urlencoded","application/json"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenManagementRequest"},"application/json":{"schemaId":"components/schemas/TokenManagementRequest"}},"schemaId":"components/schemas/TokenManagementRequest","pointer":"/paths/~1oauth~1revoke/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/oauth/revoke","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"clientSecretBasic","type":"http","scheme":"basic"}],"scopes":[]}],"requestBody":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenManagementRequest"},"application/json":{"schemaId":"components/schemas/TokenManagementRequest"}},"responseCodes":["200","400","401","503"],"pointer":"/oauth/revoke","href":"authentication/revokeaccesstoken","openApiOperationId":"revokeAccessToken","summary":"Revoke an access token"},"definitionSamples":[{"lang":"curl","source":"curl -i -X POST https://dev-api.wisedocs.ai/oauth/revoke \\\n  -u '<client_id>:<client_secret>' \\\n  -d token='<access_token>'\n"}],"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"schemaId":"components/schemas/TokenManagementRequest","mediaTypes":["application/x-www-form-urlencoded","application/json"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"components/schemas/TokenManagementRequest"},"application/json":{"schemaId":"components/schemas/TokenManagementRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Revocation accepted.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_2"}},"schemaId":"schema_2","headers":{"Cache-Control":{"schema":{"type":"string","example":"no-store"}},"Pragma":{"schema":{"type":"string","example":"no-cache"}}},"headerSchemaId":"schema_0"},{"code":"400","description":"The token field is missing.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}},"schemaId":"components/schemas/OAuthClientError"},{"code":"401","description":"Confidential-client authentication failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}},"schemaId":"components/schemas/OAuthClientError","headers":{"WWW-Authenticate":{"description":"HTTP Basic authentication challenge for an OAuth client.","schema":{"type":"string","example":"Basic realm=\"oauth-client\""}}},"headerSchemaId":"schema_1"},{"code":"503","description":"Token status cannot be checked or revocation cannot be confirmed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}},"schemaId":"components/schemas/OAuthClientError"}],"pointer":"/paths/~1oauth~1revoke/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_2","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_2"}}},{"code":"400","schemaId":"components/schemas/OAuthClientError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}}},{"code":"401","schemaId":"components/schemas/OAuthClientError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}}},{"code":"503","schemaId":"components/schemas/OAuthClientError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthClientError"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authentication/revokeaccesstoken"}],"panels":[]}]},"httpPath":"/oauth/revoke"}],"content":{"contentType":"group","meta":{"name":"Authentication"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Authentication","showPageActions":true},{"nodeType":"markdoc","content":"OAuth 2.0 client credentials"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/.well-known/oauth-authorization-server","summary":"Get OAuth authorization server metadata","prefix":{"name":"get","color":"get"},"badges":[],"link":"/authentication/getauthorizationservermetadata","deprecated":false},{"title":"/oauth/token","summary":"Create an access token","prefix":{"name":"post","color":"post"},"badges":[],"link":"/authentication/createaccesstoken","deprecated":false},{"title":"/oauth/introspect","summary":"Introspect an access token","prefix":{"name":"post","color":"post"},"badges":[],"link":"/authentication/introspectaccesstoken","deprecated":false},{"title":"/oauth/revoke","summary":"Revoke an access token","prefix":{"name":"post","color":"post"},"badges":[],"link":"/authentication/revokeaccesstoken","deprecated":false}]}]}]}]}},{"type":"group","label":"Cases","link":"/api/openapi/cases","routeSlug":"/api/openapi/cases","items":[{"label":"Create a case","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/cases/createcase","routeSlug":"/api/openapi/cases/createcase","metadata":{"seo":{"title":"Create a case","description":"Create a new case. Only claimant.firstName and claimant.lastName arerequired."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createCase","name":"Create a case","isWebhook":false,"pointer":"/paths/~1api~1v1~1cases/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a case","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Create a new case. Only "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"claimant.firstName"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"claimant.lastName"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" are"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"required."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"case"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is provided and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"case.allowDuplication"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"false"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (default),"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"returns "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"409"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" if a case with the same claimant name and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"case.caseNumber"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"already exists."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Optionally set "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"case.createdBy"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to the email of a Wisedocs user to show as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the case's \"Created by\". Returns "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"400"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" if the email does not belong to an"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"active user in your workspace or, when team visibility is enabled, to a"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"member of one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"case.teams"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2ClientCredentials","scopes":["cases:write"],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth 2.0 client credentials. Send the issued access token as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <access_token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Each operation requires the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope listed for it; a token without that scope receives "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"403"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code: \"insufficient_scope\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"name":"apiKeyAuth","scopes":[],"type":"apiKey","in":"header","paramName":"x-api-key","description":"API Gateway key required in addition to the Bearer token."}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CaseCreateRequest","exampleIds":["paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/minimal","paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/full"]}},"schemaId":"components/schemas/CaseCreateRequest","exampleIds":["paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/minimal","paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/full"],"pointer":"/paths/~1api~1v1~1cases/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/v1/cases","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2ClientCredentials","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"id":"apiKeyAuth","type":"apiKey","name":"x-api-key","in":"header"}],"scopes":["cases:write"]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CaseCreateRequest","exampleIds":["paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/minimal","paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/full"]}},"responseCodes":["201","400","401","403","409","500"],"pointer":"/api/v1/cases","href":"cases/createcase","openApiOperationId":"createCase","summary":"Create a case"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"schemaId":"components/schemas/CaseCreateRequest","exampleIds":["paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/minimal","paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/full"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CaseCreateRequest","exampleIds":["paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/minimal","paths/~1api~1v1~1cases/post/requestBody/content/application~1json/examples/full"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Case created.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseCreateResponse"}},"schemaId":"components/schemas/CaseCreateResponse"},{"code":"400","description":"Request validation failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"401","description":"The Bearer token is missing, invalid, or expired.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse","headers":{"WWW-Authenticate":{"$ref":"#/components/headers/WWW-Authenticate"}},"headerSchemaId":"schema_3"},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The token is not permitted to perform this operation. When a required"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope is missing, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"insufficient_scope"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.message"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" names the missing scope."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"409","description":"The request conflicts with an existing resource.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"500","description":"The service failed while processing the request.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1api~1v1~1cases/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/CaseCreateResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseCreateResponse"}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"401","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"403","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"409","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/cases/createcase"}],"panels":[]}]},"httpPath":"/api/v1/cases"},{"label":"Search cases","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/cases/searchcases","routeSlug":"/api/openapi/cases/searchcases","metadata":{"seo":{"title":"Search cases","description":"Return a paginated list of cases, optionally filtered by caseUuid,internalCaseNumber, and claimNumber (exact match, combined with AND)."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"searchCases","name":"Search cases","isWebhook":false,"pointer":"/paths/~1api~1v1~1cases/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Search cases","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Return a paginated list of cases, optionally filtered by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"caseUuid"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":","},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"internalCaseNumber"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"claimNumber"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (exact match, combined with AND)."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2ClientCredentials","scopes":["cases:read"],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth 2.0 client credentials. Send the issued access token as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <access_token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Each operation requires the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope listed for it; a token without that scope receives "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"403"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code: \"insufficient_scope\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"name":"apiKeyAuth","scopes":[],"type":"apiKey","in":"header","paramName":"x-api-key","description":"API Gateway key required in addition to the Bearer token."}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"caseUuid","in":"query","schemaId":"schema_4","description":"Filter by case UUID.","example":"123e4567-e89b-12d3-a456-426614174000"},{"name":"internalCaseNumber","in":"query","schemaId":"schema_5","description":"Filter by exact internal case number (case-insensitive).","example":"CASE-12345"},{"name":"claimNumber","in":"query","schemaId":"schema_5","description":"Filter by exact claim number (case-insensitive).","example":"CLM-12345"},{"name":"limit","in":"query","schemaId":"schema_6","description":"Page size.","example":10},{"name":"offset","in":"query","schemaId":"schema_7","description":"Number of results to skip.","example":0}],"pointer":"/paths/~1api~1v1~1cases/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/v1/cases","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[],"query":[{"name":"caseUuid","in":"query","required":false,"example":"123e4567-e89b-12d3-a456-426614174000","schemaId":"schema_4"},{"name":"internalCaseNumber","in":"query","required":false,"example":"CASE-12345","schemaId":"schema_5"},{"name":"claimNumber","in":"query","required":false,"example":"CLM-12345","schemaId":"schema_5"},{"name":"limit","in":"query","required":false,"example":10,"schemaId":"schema_6"},{"name":"offset","in":"query","required":false,"example":0,"schemaId":"schema_7"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2ClientCredentials","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"id":"apiKeyAuth","type":"apiKey","name":"x-api-key","in":"header"}],"scopes":["cases:read"]}],"responseCodes":["200","400","401","403"],"pointer":"/api/v1/cases","href":"cases/searchcases","openApiOperationId":"searchCases","summary":"Search cases"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Matching cases returned.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseSearchResponse"}},"schemaId":"components/schemas/CaseSearchResponse"},{"code":"400","description":"Request validation failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"401","description":"The Bearer token is missing, invalid, or expired.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse","headers":{"WWW-Authenticate":{"$ref":"#/components/headers/WWW-Authenticate"}},"headerSchemaId":"schema_3"},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The token is not permitted to perform this operation. When a required"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope is missing, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"insufficient_scope"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.message"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" names the missing scope."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1api~1v1~1cases/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/CaseSearchResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseSearchResponse"}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"401","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"403","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/cases/searchcases"}],"panels":[]}]},"httpPath":"/api/v1/cases"},{"label":"Get case information","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/cases/getcase","routeSlug":"/api/openapi/cases/getcase","metadata":{"seo":{"title":"Get case information","description":"Return case details."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getCase","name":"Get case information","isWebhook":false,"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get case information","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Return case details."},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2ClientCredentials","scopes":["cases:read"],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth 2.0 client credentials. Send the issued access token as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <access_token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Each operation requires the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope listed for it; a token without that scope receives "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"403"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code: \"insufficient_scope\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"name":"apiKeyAuth","scopes":[],"type":"apiKey","in":"header","paramName":"x-api-key","description":"API Gateway key required in addition to the Bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"caseUuid","in":"path","schemaId":"schema_4","description":"Case UUID.","required":true}],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/v1/cases/{caseUuid}","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[{"name":"caseUuid","in":"path","required":true,"schemaId":"schema_4"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2ClientCredentials","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"id":"apiKeyAuth","type":"apiKey","name":"x-api-key","in":"header"}],"scopes":["cases:read"]}],"responseCodes":["200","400","401","403","404"],"pointer":"/api/v1/cases/{caseUuid}","href":"cases/getcase","openApiOperationId":"getCase","summary":"Get case information"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Case returned.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/200/content/application~1json/examples/default"]}},"schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/200/content/application~1json/examples/default"]},{"code":"400","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"caseUuid"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is not a valid UUID."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/400/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/400/content/application~1json/example"]},{"code":"401","description":"The Bearer token is missing, invalid, or expired.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse","headers":{"WWW-Authenticate":{"$ref":"#/components/headers/WWW-Authenticate"}},"headerSchemaId":"schema_3"},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The token is not permitted to perform this operation. When a required"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope is missing, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"insufficient_scope"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.message"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" names the missing scope."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"404","description":"Resource not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/200/content/application~1json/examples/default"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/200/content/application~1json/examples/default"]}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/400/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/get/responses/400/content/application~1json/example"]}}},{"code":"401","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"403","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/cases/getcase"}],"panels":[]}]},"httpPath":"/api/v1/cases/{caseUuid}"},{"label":"Update case information","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/cases/updatecase","routeSlug":"/api/openapi/cases/updatecase","metadata":{"seo":{"title":"Update case information","description":"Update selected fields of a case. Send only the fields to change; omitted fields remain unchanged, and all updates are applied atomically."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"updateCase","name":"Update case information","isWebhook":false,"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update case information","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Update selected fields of a case. Send only the fields to change; omitted\nfields remain unchanged, and all updates are applied atomically.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2ClientCredentials","scopes":["cases:write"],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth 2.0 client credentials. Send the issued access token as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <access_token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Each operation requires the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope listed for it; a token without that scope receives "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"403"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code: \"insufficient_scope\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"name":"apiKeyAuth","scopes":[],"type":"apiKey","in":"header","paramName":"x-api-key","description":"API Gateway key required in addition to the Bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"caseUuid","in":"path","schemaId":"schema_4","description":"Case UUID.","required":true}],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CaseUpdateRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/claimant","paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/case"]}},"schemaId":"components/schemas/CaseUpdateRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/claimant","paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/case"],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/api/v1/cases/{caseUuid}","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[{"name":"caseUuid","in":"path","required":true,"schemaId":"schema_4"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2ClientCredentials","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"id":"apiKeyAuth","type":"apiKey","name":"x-api-key","in":"header"}],"scopes":["cases:write"]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CaseUpdateRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/claimant","paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/case"]}},"responseCodes":["200","400","401","403","404"],"pointer":"/api/v1/cases/{caseUuid}","href":"cases/updatecase","openApiOperationId":"updateCase","summary":"Update case information"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"schemaId":"components/schemas/CaseUpdateRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/claimant","paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/case"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CaseUpdateRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/claimant","paths/~1api~1v1~1cases~1{caseUuid}/patch/requestBody/content/application~1json/examples/case"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Case updated.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/200/content/application~1json/examples/default"]}},"schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/200/content/application~1json/examples/default"]},{"code":"400","description":"Request validation failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/unknownField","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/notNullable","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/serviceValidation"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/unknownField","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/notNullable","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/serviceValidation"]},{"code":"401","description":"The Bearer token is missing, invalid, or expired.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse","headers":{"WWW-Authenticate":{"$ref":"#/components/headers/WWW-Authenticate"}},"headerSchemaId":"schema_3"},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The token is not permitted to perform this operation. When a required"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope is missing, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"insufficient_scope"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.message"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" names the missing scope."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"404","description":"Resource not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}/patch/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/200/content/application~1json/examples/default"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CaseGetResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/200/content/application~1json/examples/default"]}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/unknownField","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/notNullable","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/serviceValidation"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/unknownField","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/notNullable","paths/~1api~1v1~1cases~1{caseUuid}/patch/responses/400/content/application~1json/examples/serviceValidation"]}}},{"code":"401","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"403","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/cases/updatecase"}],"panels":[]}]},"httpPath":"/api/v1/cases/{caseUuid}"}],"content":{"contentType":"group","meta":{"name":"Cases"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Cases","showPageActions":true},{"nodeType":"markdoc","content":"Case management operations"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/v1/cases","summary":"Create a case","prefix":{"name":"post","color":"post"},"badges":[],"link":"/cases/createcase","deprecated":false},{"title":"/api/v1/cases","summary":"Search cases","prefix":{"name":"get","color":"get"},"badges":[],"link":"/cases/searchcases","deprecated":false},{"title":"/api/v1/cases/{caseUuid}","summary":"Get case information","prefix":{"name":"get","color":"get"},"badges":[],"link":"/cases/getcase","deprecated":false},{"title":"/api/v1/cases/{caseUuid}","summary":"Update case information","prefix":{"name":"patch","color":"patch"},"badges":[],"link":"/cases/updatecase","deprecated":false}]}]}]}]}},{"type":"group","label":"Files","link":"/api/openapi/files","routeSlug":"/api/openapi/files","items":[{"label":"Create file upload URLs","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api/openapi/files/uploadcasefiles","routeSlug":"/api/openapi/files/uploadcasefiles","metadata":{"seo":{"title":"Create file upload URLs","description":"Create file records in a case and return a presigned S3 PUT URL for each.Upload each file's bytes to its putUrl with an HTTP PUT, then reportthe upload with PATCH /api/v1/cases/{caseUuid}/files/{fileUuid}."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"uploadCaseFiles","name":"Create file upload URLs","isWebhook":false,"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}~1files/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create file upload URLs","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Create file records in a case and return a presigned S3 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"PUT"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" URL for each."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Upload each file's bytes to its "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"putUrl"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with an HTTP "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"PUT"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", then report"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the upload with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"PATCH /api/v1/cases/{caseUuid}/files/{fileUuid}"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Every upload "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"PUT"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" must include:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"x-amz-server-side-encryption: AES256"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Content-Type"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" set to the file's media type:"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"table","attributes":{},"children":[{"$$mdtype":"Node","type":"thead","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Extension"},"children":[]}]}]},{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Content-Type"},"children":[]}]}]}]}]},{"$$mdtype":"Node","type":"tbody","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".pdf"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"application/pdf"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".jpg"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".jpeg"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"image/jpeg"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".png"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"image/png"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".tif"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".tiff"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"image/tiff"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".gif"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"image/gif"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".doc"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"application/msword"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":".docx"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"application/vnd.openxmlformats-officedocument.wordprocessingml.document"},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"For example:"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"curl -X PUT \"$PUT_URL\" \\\n  -H \"x-amz-server-side-encryption: AES256\" \\\n  -H \"Content-Type: image/jpeg\" \\\n  --upload-file x-ray.jpg\n","language":"bash"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"curl -X PUT \"$PUT_URL\" \\\n  -H \"x-amz-server-side-encryption: AES256\" \\\n  -H \"Content-Type: image/jpeg\" \\\n  --upload-file x-ray.jpg\n"},"children":[]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"oauth2ClientCredentials","scopes":["files:write"],"type":"oauth2","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth 2.0 client credentials. Send the issued access token as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <access_token>"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Each operation requires the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope listed for it; a token without that scope receives "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"403"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code: \"insufficient_scope\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"name":"apiKeyAuth","scopes":[],"type":"apiKey","in":"header","paramName":"x-api-key","description":"API Gateway key required in addition to the Bearer token."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"caseUuid","in":"path","schemaId":"schema_4","description":"Case UUID.","required":true}],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}~1files/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/FileUploadRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/single","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/multiple","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/priority"]}},"schemaId":"components/schemas/FileUploadRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/single","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/multiple","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/priority"],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/v1/cases/{caseUuid}/files","servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"parameters":{"path":[{"name":"caseUuid","in":"path","required":true,"schemaId":"schema_4"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"oauth2ClientCredentials","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"cases:read":"Read case lists, searches, and details.","cases:write":"Create and update cases and their related entities.","files:read":"Read file details.","files:write":"Create file upload URLs and complete uploads.","teams:read":"List teams that cases can be assigned to."}}}},{"id":"apiKeyAuth","type":"apiKey","name":"x-api-key","in":"header"}],"scopes":["files:write"]}],"requestBody":{"application/json":{"schemaId":"components/schemas/FileUploadRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/single","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/multiple","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/priority"]}},"responseCodes":["202","400","401","403","404","500"],"pointer":"/api/v1/cases/{caseUuid}/files","href":"files/uploadcasefiles","openApiOperationId":"uploadCaseFiles","summary":"Create file upload URLs"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/api/openapi","description":"Mock server","isMockServer":true},{"url":"https://dev-api.wisedocs.ai","description":"Development server"},{"url":"https://staging-api.wisedocs.ai","description":"Staging server"},{"url":"https://api.wisedocs.ai","description":"Production server"}],"schemaId":"components/schemas/FileUploadRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/single","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/multiple","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/priority"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/FileUploadRequest","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/single","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/multiple","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/requestBody/content/application~1json/examples/priority"]}},"examples":[{},{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"202","description":"File records and their presigned upload URLs created.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/FileUploadResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/202/content/application~1json/example"]}},"schemaId":"components/schemas/FileUploadResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/202/content/application~1json/example"]},{"code":"400","description":"Request validation failed.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/empty","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/unsupported","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/duplicate","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/invalidPriority","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/invalidCaseUuid"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/empty","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/unsupported","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/duplicate","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/invalidPriority","paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/400/content/application~1json/examples/invalidCaseUuid"]},{"code":"401","description":"The Bearer token is missing, invalid, or expired.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse","headers":{"WWW-Authenticate":{"$ref":"#/components/headers/WWW-Authenticate"}},"headerSchemaId":"schema_3"},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The token is not permitted to perform this operation. When a required"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"scope is missing, "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.code"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"insufficient_scope"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"error.message"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" names the missing scope."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"},{"code":"404","description":"The case does not exist.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses/404/content/application~1json/example"]},{"code":"500","description":"The service failed while processing the request.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1api~1v1~1cases~1{caseUuid}~1files/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"202","schemaId":"components/schemas/FileUploadResponse","exampleIds":["paths/~1api~1v1~1cases~1{c
[...]
